
----------------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------------------


INSERT OVERWRITE TABLE ${DBNAME_RECLAMOS}.aoa_callhistory PARTITION(data_date) 
SELECT
callid,
orden,
segment,
sourceid,
rowdate,
tipo_llamada,
ani,
segstart,
segstop,
ucid,
acwtime,
agt_released,
ansholdtime,
anslocid,
anslogin,
ansreason,
assist,
audio,
calling_ii,
calling_pty,
conference,
consulttime,
cwc1,
cwc2,
cwc3,
cwc4,
cwc5,
da_queued,
dialed_num,
dispivector,
disposition,
disppriority,
dispsklevel,
dispsplit,
disptime,
dispvdn,
duration,
eqlocid,
eqloc,
event1,
event2,
event3,
event4,
event5,
event6,
event7,
event8,
event9,
firstivector,
firstvdn,
held,
holdabn,
lastcwc,
lastdigits,
lastobserver,
malicious,
netintime,
observingcall,
obslocid,
origholdtime,
origlocid,
origlogin,
origreason,
split1,
split2,
split3,
talktime,
tkgrp,
transferred,
queuetime,
ringtime,
vdn2,
vdn3,
vdn4,
vdn5,
vdn6,
vdn7,
vdn8,
vdn9,
uuilen,
asaiuui,
interruptdel,
agentsurplus,
agentskilllevel,
prefskilllevel,
DATE_FORMAT(DATE(TRIM(rowdate)), 'yyyyMMdd') data_date
FROM
  ${DBNAME_RECLAMOS}.aoa_callhistory_ext
WHERE 
DATE_FORMAT(DATE(TRIM(rowdate)), 'yyyyMMdd') >= ${DATE_MAY_01};
